import request from '@/utils/request'

// 查询报废审核列表
export function getScrapApplyListApi(query) {
  return request({
    url: '/material/scrap_apply_details/list',
    method: 'get',
    params: query
  })
}
// 查询报废审核列表
export function getScrapDetailListApi(query) {
    return request({
      url: '/material/scrap_apply_details/selectRepairQuestListByTaskId',
      method: 'get',
      params: query
    })
}

//内层审核批量通过
export function batchPassApi(data) {
  return request({
    url: '/material/scrap_apply_details/approve',
    method: 'post',
    data: data,

  })
}

//内层审核批量拒绝
export function batchRejectApi(data) {
  return request({
    url: '/material/scrap_apply_details/reject',
    method: 'post',
    data: data,

  })
}




